Bug 824898 - Message center details view 'hides' real cause
Message center details view 'hides' real cause
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 825335 832157
  Show dependency treegraph
 
Reported: 2012-05-24 10:25 EDT by Heiko W. Rupp
Modified: 2013-09-01 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 825335 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:57:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Leftmost part of the output (116.91 KB, image/png)
2012-05-24 10:25 EDT, Heiko W. Rupp
no flags Details
Rightmost part of the message showing the real info (27.49 KB, image/png)
2012-05-24 10:26 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-05-24 10:25:40 EDT
I tried to add an as7 manually in the release branch and it failed with the red 
bar. So I wen to the message center to see what is going on.
Remember that I have a 1920*x screen. So pretty wide. And still I had to scroll 
8k pixels to the right in order to see the
real message that the plugin wanted to tell me.

For the user this is a usability issue.

We should in the first "Details" line only show the message from the inner most 
exception (what is on the right side of the screen)

And then lower down (after some newlines) show what we have today.
Bonus points for replacing each '->' in the original details line with a line 
break (or adding the line break before '->'
Comment 1 Heiko W. Rupp 2012-05-24 10:25:58 EDT
Created attachment 586649 [details]
Leftmost part of the output
Comment 2 Heiko W. Rupp 2012-05-24 10:26:11 EDT
Created attachment 586650 [details]
Rightmost part of the message showing the real info
Comment 3 John Mazzitelli 2012-05-24 12:05:51 EDT
I will have a "Root Cause" show in the details window that shows you the inner-most exception message (minus the throwable class name). You will also have the option to see the Root Cause from the right-mouse menu that shows on the message bar.

If there is no root cause (meaning, if there is no exceptions - its just a "normal" message), then there will be no root cause displayed and the menu item to show the root cause will be disabled.
Comment 4 John Mazzitelli 2012-05-24 13:01:00 EDT
git commit to master: 325170b9e32037b748bf2ef12c0954f9d6f35ad2

(another git commit that tweeked the test page is b8ababacc8dbd7ee3d6ebbf3681f63da3334d44c )
Comment 6 John Mazzitelli 2012-05-24 17:15:44 EDT
I made some commits to master that aren't directly addressing this issue, but came out of researching this stuff:

802ff8d372ca0431c96a7c735021790ec0c0d1c0 - fixes the ThrowableUtil utility so it will as least record the exception class name if the message is null (better to show the exception class name than just the string "null")

b8f67855445081683f56bd1dd27e0239f7114a9e - fix the logging done on the GWT service impl so it logs the full server-side exception before getting munged and sent over to the gwt client
Comment 8 Charles Crouch 2012-05-25 14:00:25 EDT
Setting Target Release to be RHQ4.5, I'll clone this for something to get into JON3.1.1
Comment 9 John Mazzitelli 2012-05-25 16:17:21 EDT
git commit to master: 536e094

this code has the gwt client look for the ThrowableUtil marker (which is " -> ") in the exception message - if it sees it, it will get the last message after the last -> marker and use that as the root cause string
Comment 10 John Mazzitelli 2012-05-29 11:20:17 EDT
all code is in master. these are the related commits to try to get the root cause to be displayed in the message center

325170b9e32037b748bf2ef12c0954f9d6f35ad2
b8ababacc8dbd7ee3d6ebbf3681f63da3334d44c
b8f67855445081683f56bd1dd27e0239f7114a9e
802ff8d372ca0431c96a7c735021790ec0c0d1c0
536e0949945638a9dc57c1903826830cd8aae376

there can be additional UI improvements (should we show a little icon that you click to popup the context menu in the message bar? should we show some root cause string in the bar itself? (be careful, the root cause can be a long string), etc.). We will write up additional BZs for additional UI improvements for the message center. This BZ is being moved to ON_QA since it addresses the question at hand - that being, show the root cause string for the inner most exception that caused the message to be displayed.
Comment 11 Heiko W. Rupp 2013-09-01 05:57:45 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.